package com.hmsoft.remote.rmi.future;

import com.hmsoft.remote.rmi.exception.RemotingException;
import com.hmsoft.remote.rmi.model.Request;

/**
 * 
 * @author zq
 *
 */
public interface IFuture {

    Object get() throws RemotingException;

    Object get(int timeoutInMillis) throws RemotingException;
    
    boolean isDone();
    
    void cancel();
    
    long getId();
    
    Request getRequest();
}
